put
https://api-sandboxdash.norcapsecurities.com/tapiv3/index.php/v3/updateAccount
This method is used to update a specific account (updateAccount)
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Request Parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| clientID | yes | string | TransactAPI Client ID |
| developerAPIKey | yes | string | TransactAPI Developer Key |
| accountId | yes | integer | Account ID that is generated by the API once an account is created (createAccount). |
| accountRegistration | yes | string | Investor Account Name. Must be the exact registration of the account, such as "John Doe and Jane Doe JTWROS" or "John Doe IRA" or "Doe Family Trust" |
| type | yes | conditional | Type of Account: Individual, Entity, TIC, JTWROS, IRA, SepIRA, ROTH, Joint |
| entityType | no | conditional | Type of Entity: Revocable Trust, Irrevocable Trust, Limited Partnership, LLC, Corporation |
| domesticYN | yes | conditional | Domestic or International Account - "domestic_account" or "international_account" |
| streetAddress1 | yes | string | Account Street Address Line 1 |
| streetAddress2 | no | string | Account Street Address Line 2 |
| city | yes | string | Account City |
| state | yes | string | The state in which the account holders primary residence (or physical address) is located (must use abbreviated 2 letter form). Use the value “NOUS” for addresses outside the United States. |
| zip | yes | string | Account Zip/Postal Code |
| country | yes | string | Account Country |
| no | string | Account Primary Email Address | |
| phone | no | integer | Account Primary Phone Number |
| taxID | no | integer | Account Tax ID Number |
| KYCstatus | no | conditional | Know Your Customer(KYC) Status: Pending, Auto Approved, Manually Approved, Disapproved. The default status is "Pending" |
| AMLstatus | no | conditional | Anti-Money Laundering (AML) Status: Pending, Auto Approved, Manually Approved, Disapproved. The default status is "Pending" |
| AMLdate | no | date | Date that the Anti-Money Laundering (AML) status was updated from the default "Pending" status. |
| suitabilityScore | no | integer | Score from 1 to 5. 5 being most suitable and 1 being least suitable |
| suitabilityDate | no | date | Date that a Registered Representative (RR) approved the suitability for the account. |
| suitabilityApprover | no | string | The name of the Registered Representative (RR) that approved the suitability for the account. |
| AccreditedStatus | no | conditional | The Accreditation Status for the Account: Pending, Self Accredited, Verified Accredited, Not Accredited. The default status is "Pending" |
| Allow | no | conditional | How the account was accredited: Income, Assets, All parties accredited, Pending |
| AIdate | no | date | The date that the most recent accreditation review will expire. |
| 506cLimit | no | integer | The maximum total dollar amount that can be invested in Regulation D 506(c) offerings by this account |
| accountTotalLimit | no | integer | The maximum total amount that can be invested from this account |
| singleInvestmentLimit | no | integer | The maximum amount that can be invested in a single investment for the account |
| associatedAC | no | conditional | Yes or No. Generally completed in the Admin interface following a discussion with the Investor |
| syndicate | no | conditional | Yes or No. Generally completed in the Admin interface following a discussion with the Investor |
| tags | no | string | Up to 10 tags can be added to an account separated by commas. These are generally completed in the TAPI Admin interface or with question-based tag generation |
| notes | no | string | Free form text for any notes that need to be added to the account |
| approvalStatus | yes | conditional | Principal Approval Status: Pending, Approved, Not Approved |
| approvalPrincipal | no | string | Name of Principal Reviewing the Account |
| approvalLastReview | no | date | Date of previous accreditation review |
| updatedIpAddress | yes | integer | IP Address associated with the updateAccount method call. |
| field1 | no | string | Additional information relating to the account. Custom Field 1 |
| field2 | no | string | Additional information relating to the account. Custom Field 2 |
| field3 | no | string | Additional information relating to the account. Custom Field 3 |
Sample Request
curl -k -X PUT https://api-sandboxdash.norcapsecurities.com/tapiv3/index.php/v3/updateAccount
-d clientID=someclientid
-d developerAPIKey=somedeveloperkey
-d accountId=A77854
-d accountRegistration=John
-d type=Individual
-d entityType=Revocable Trust
-d domesticYN=domestic account
-d streetAddress1=First street
-d streetAddress2=Third avenue
-d city=ATLANTA
-d state=GA
-d zip=32526
-d country=USA
-d phone=41545218562
-d [email protected]
-d taxID=875451545875855
-d KYCstatus=pending
-d AMLstatus=pending
-d suitabilityScore=5
-d suitabilityDate=02-18-2016
-d suitabilityApprover=smith
-d AccreditedStatus=pending
-d AIlow=income
-d AIdate=02-18-2016
-d 506cLimit=50000
-d accountTotalLimit=200000
-d singleInvestmentLimit=100
-d associatedAC=yes
-d syndicate=no
-d tags=terms
-d notes=Personal Account
-d approvalStatus=pending
-d approvalPrincipal=Charles
-d approvalLastReview=02-15-2016
-d field1=some text
-d field2=some text
-d field3=some textResponse Parameters
| Parameter | Type | Description |
|---|---|---|
| statusCode | string | API Status Code |
| statusDesc | string | API Status Description |
| accountId | integer | ID for an account |
| suitability | string | Score from 1 to 5. With 5 being most suitable and 1 being least suitable |
| approvalStatus | string | Principal Approval Status: Pending, Approved, Not Approved |
Sample Response
{
"statusCode": "101",
"statusDesc": "Ok",
"accountDetails": [{
"accountId": "A77854",
"suitabilityScore": "5",
"approvalStatus": "pending"
}]
}
